package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.Equipment;

import java.util.List;
import java.util.Map;

public interface EquipmentService {

    List<Equipment> getAllEquipments();

    Equipment getEquipmentById(Long equipmentId) throws ResourceNotFoundException;

    Equipment createEquipment(Equipment equipment);

    Equipment updateEquipment(Long equipmentId, Equipment equipmentDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteEquipment(Long equipmentId) throws ResourceNotFoundException;


    List<Equipment> getAllEquipmentByRoomId(Long roomId) throws ResourceNotFoundException ;
}
