package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.Event;

import java.util.List;
import java.util.Map;

public interface EventService {

    List<Event> getAllEvents();

    Event getEventById(Long eventId) throws ResourceNotFoundException;

    Event createEvent(Event event);

    Event updateEvent(Long eventId, Event eventDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteEvent(Long eventId) throws ResourceNotFoundException;

}
