package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.Reservation;

import java.util.List;
import java.util.Map;

public interface ReservationService {

    List<Reservation> getAllReservations();

    Reservation getReservationById(Long reservationId) throws ResourceNotFoundException;

    Reservation createReservation(Reservation reservation);

    Reservation updateReservation(Long reservationId, Reservation reservationDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteReservation(Long reservationId) throws ResourceNotFoundException;


    List<Reservation> getAllReservationsByEventId(Long eventId) throws ResourceNotFoundException;

}
