package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.RoomEquipment;

import java.util.List;
import java.util.Map;

public interface RoomEquipmentService {

    List<RoomEquipment> getAllRoomEquipments();

    RoomEquipment getRoomEquipmentById(Long roomEquipmentId) throws ResourceNotFoundException;

    RoomEquipment createRoomEquipment(RoomEquipment roomEquipmentId);

    RoomEquipment updateRoomEquipment(Long roomEquipmentId, RoomEquipment roomEquipmentDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteRoomEquipment(Long roomEquipmentId) throws ResourceNotFoundException;
}
