package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.EventRoom;

import java.util.List;
import java.util.Map;

public interface EventRoomService {

    List<EventRoom> getAllEventRooms();

    EventRoom getEventRoomById(Long eventRoomId) throws ResourceNotFoundException;

    EventRoom createEventRoom(EventRoom eventRoom);

    EventRoom updateEventRoom(Long eventRoomId, EventRoom eventRoomDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteEventRoom(Long eventRoomId) throws ResourceNotFoundException;
}
