package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.Room;

import java.util.List;
import java.util.Map;

public interface RoomService {

    List<Room> getAllRooms();

    Room getRoomById(Long roomId) throws ResourceNotFoundException;

    Room createRoom(Room room);

    Room updateRoom(Long roomId, Room roomDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteRoom(Long roomId) throws ResourceNotFoundException;


    List<Room> getAllRoomsByEventId(Long eventId) throws ResourceNotFoundException ;
}
