package com.tfm.reservas.services;

import com.tfm.reservas.exception.ResourceNotFoundException;
import com.tfm.reservas.model.TypeReservation;

import java.util.List;
import java.util.Map;

public interface TypeReservationService {

    List<TypeReservation> getAllTypeReservations();

    TypeReservation getTypeReservationById(Long typeReservationId) throws ResourceNotFoundException;

    TypeReservation createTypeReservation(TypeReservation typeReservation);

    TypeReservation updateTypeReservation(Long typeReservationId, TypeReservation typeReservationDetails) throws ResourceNotFoundException;

    Map<String, Boolean> deleteTypeReservation(Long typeReservationId) throws ResourceNotFoundException;
}
